Last Comment Bug 570417 - All content iterators need to take part in cycle collection
: All content iterators need to take part in cycle collection
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla1.9.3a5
Assigned To: :Ehsan Akhgari (out sick)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 12:41 PDT by :Ehsan Akhgari (out sick)
Modified: 2010-08-06 11:34 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.9-fixed
.12-fixed


Attachments
Patch (v1) (4.62 KB, patch)
2010-06-06 12:44 PDT, :Ehsan Akhgari (out sick)
jst: review+
christian: approval1.9.2.7-
christian: approval1.9.2.9+
christian: approval1.9.1.12+
Details | Diff | Review

Description :Ehsan Akhgari (out sick) 2010-06-06 12:41:28 PDT
Bug 569504 made nsContentIterator participate in cycle collection.  We need to do the same for nsPreContentIterator and nsSubtreeContentIterator as well.

Given that nsPreContentIterator only exists to set mPre to true, I decided to remove that class and make NS_NewPreContentIterator set mPre to true instead.

I also filed bug 570416 to create a static analysis script which detects other similar cases.
Comment 1 :Ehsan Akhgari (out sick) 2010-06-06 12:42:11 PDT
We also need this for branches.
Comment 2 :Ehsan Akhgari (out sick) 2010-06-06 12:44:56 PDT
Created attachment 449544 [details] [diff] [review]
Patch (v1)
Comment 3 :Ehsan Akhgari (out sick) 2010-06-09 12:17:50 PDT
http://hg.mozilla.org/mozilla-central/rev/961e152b8b7b
Comment 4 :Ehsan Akhgari (out sick) 2010-06-09 17:23:35 PDT
Comment on attachment 449544 [details] [diff] [review]
Patch (v1)

This is the continuation of the work in bug 569504.
Comment 5 christian 2010-06-24 21:51:23 PDT
Comment on attachment 449544 [details] [diff] [review]
Patch (v1)

We will not be taking this for 3.6.6. Moving approval request forward.

If you disagree, send me an email.
Comment 6 christian 2010-08-06 10:46:22 PDT
Comment on attachment 449544 [details] [diff] [review]
Patch (v1)

a=LegNeato for 1.9.2.9 and 1.9.1.12

Note You need to log in before you can comment on or make changes to this bug.